[package]
name = "opengl_rust"
version = "0.1.0"
authors = ["_"]
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]

anyhow = "1.0.36"
byteorder = "1.3.2"
bytes = "1.0.1"
float-ord = "0.2.0"
futures = "0.3.8"
futures-util = "0.3.9"
gl = "0.14.0"
# glam = "0.8.5"
glam = "0.20.1"
gltf = "0.16.0"
iota = "0.2.1"
maplit = "1.0.2"
partial-min-max = "0.4.0"
png = "0.15.3"
quinn = "0.7.2"
rand = "0.6.5"
rcgen = "0.8.11"
rmp-serde = "0.15.4"
serde = { version = "1.0.125", features = ["derive"] }
serde_json = "1.0.73"
sdl2 = "0.32.2"
tokio = { version = "1.5.0", features = ["full"] }
tracing = "0.1.22"
tracing-subscriber = "0.2.15"

inter_quake_model = {path = "../inter_quake_model"}

[profile.dev.package."*"]
opt-level = 3
